Package eu.mhsl.minenet.gameList.chat

# Enum Class MessageType

java.lang.Object
java.lang.Enum<MessageType>
eu.mhsl.minenet.gameList.chat.MessageType

All Implemented Interfaces:
  `Serializable`, `Comparable<MessageType>`, `Constable`

public enum MessageType extends Enum<MessageType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADVANCEMENT`
  `CHAT`
  `ERROR`
  `INFO`
  `SUCCESS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `net.kyori.adventure.text.format.NamedTextColor`
  `getColor()`
  `String`
  `getSymbol()`
  `static MessageType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MessageType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INFO

    public static final MessageType INFO

  - ### ADVANCEMENT

    public static final MessageType ADVANCEMENT

  - ### CHAT

    public static final MessageType CHAT

  - ### SUCCESS

    public static final MessageType SUCCESS

  - ### ERROR

    public static final MessageType ERROR

- ## Method Details

  - ### values

    public static MessageType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MessageType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getSymbol

    public String getSymbol()

  - ### getColor

    public net.kyori.adventure.text.format.NamedTextColor getColor()